## sphinx-book-theme 0.1.6

=== debian/changelog ===
sphinx-book-theme (0.1.6-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Nov 2021 21:57:19 -0500

sphinx-book-theme (0.1.6-1) unstable; urgency=low

  * Initial release; Closes: #996011

 -- Sandro Tosi <morph@debian.org>  Sat, 06 Nov 2021 23:14:51 -0400

## sphinx-book-theme 0.1.7

=== .binder/requirements.txt ===
-r ../docs/requirements.txt

=== debian/changelog ===
sphinx-book-theme (0.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Dec 2021 01:08:58 -0500

=== debian/control ===
Source: sphinx-book-theme
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-bs4 <!nocheck>,
               python3-docutils <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nocheck>,
Standards-Version: 4.6.0.1
Testsuite: autopkgtest-pkg-python
Homepage: https://jupyterbook.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-book-theme.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-book-theme

Package: python3-sphinx-book-theme
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: clean book theme for scientific explanations and documentation with Sphinx
 This is a lightweight Sphinx theme designed to mimic the look-and-feel of an
 interactive book. It has the following primary features:
 .
  * Bootstrap 4 for visual elements and functionality
  * Flexible content layout that is inspired by beautiful online books, such as
    the Edward Tufte CSS guide
  * Visual classes designed for Jupyter Notebooks. Cell inputs, outputs, and
    interactive functionality are all supported
  * Launch buttons for online interactivity. For pages that are built with
    computational material, connect your site to an online BinderHub for
  * interactive content

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinx-book-theme
%:
	dh $@ --with python3 --buildsystem=pybuild

## sphinx-book-theme 1.1.4

=== tests/sites/parallel-build/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -j auto
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sphinx-book-theme (1.1.4-3) unstable; urgency=medium

  * Team upload.
  * Add a patch to make the tests pass with Docutils 0.22 (closes: #1120185).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Nov 2025 13:51:42 +0300

sphinx-book-theme (1.1.4-2) unstable; urgency=medium

  * Team Upload
  * Release to unstable

 -- Alexandre Detiste <tchet@debian.org>  Sun, 06 Apr 2025 12:45:19 +0200

sphinx-book-theme (1.1.4-1) experimental; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Adopt package inside DPT (Closes: #1065025)
  * New upstream version 1.1.3 (Closes: #1085947)
  * Remove obsolete patch
  * Set Rules-Requires-Root: no
  * Use dh-sequence-python3
  * WIP - Replaced python3-setuptools with pybuild-plugin-pyproject

  [ Josenilson Ferreira da Silva ]
  * debian/clean:
     - Removed build artifacts
  * debian/control:
     - Added Build-depends for running the tests
     - Added Build-depends for building sphinx documentation
     - Bumped Standards-Version to 4.7.0
     - Changed testsuite autopkgtest-pkg from python to pybuild
     - Fixed my name in Uploaders
  * debian/copyright:
     - Files removed from the project by upstream
  * debian/patches/changed-build-backend.patch:
     - Replace backend with setuptools
  * debian/patches/remove-unpackaged-extensions.patch:
     - Remove Sphinx extensions that are not in Debian
  * debian/patches/docs-use-local-intersphinx.patch:
     - Use local intersphinx files
  * debian/patches/fix-reprotest.patch:
     - Make the documentation build reproducibly
  * debian/rules:
     - Defined 'MPLCONFIGDIR' to ensure reproducibility
     - Enabled test execution
     - Removed unwanted file '.gitignore'
     - Tweaks to build sphinx documentation
  * debian/sphinx-book-theme-doc:
     - Added files 'docs' and 'doc-base' for sphinx docs configuration
  * debian/python3-sphinx-book-theme.docs:
     - Replaced by sphinx-book-theme-doc.docs

  [ Colin Watson ]
  * Build theme using webpack.

  [ Dmitry Shachnev ]
  * New upstream version 1.1.4.
  * debian/rules: Set PYTHONPATH=$(CURDIR)/src when building the docs.
  * debian/rules: Compile translations during build.
  * Build-depend on jupyter-core (needed for an example in notebooks.md).
  * Rewrite and simplify fix-reprotest.patch.
  * Do not install *.ipynb files, for reproducibility.
  * Add a patch to not load external resources in the docs.
  * Symlink static files in sphinx-book-theme-doc.
  * Make sure dist-info has correct package version instead of 0.0.0.
  * Remove not needed code from debian/rules.
  * Add a patch to use packaged MathJax.
  * Use Sphinx inventory from python-pydata-sphinx-theme-doc.
  * Bump required Sphinx and pydata-sphinx-theme versions.
  * Remove undefined ${python3:Recommends} and ${python3:Suggests}.
  * Update debian/copyright.
  * Add proper support for nodoc build profile.
  * Enable running more tests.
  * Do not compress files which are part of the HTML documentation.
  * Use rsass instead of node-sass, to support @use directive.
  * Make the autopkgtest work.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Mar 2025 10:49:10 +0300

sphinx-book-theme (0.1.7-3) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 23:57:19 -0500

sphinx-book-theme (0.1.7-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to stop adding digest to CSS file name.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Nov 2023 10:01:01 +0300

=== debian/control ===
Source: sphinx-book-theme
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Detiste <tchet@debian.org>,
           Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               gettext,
               jdupes <!nodoc>,
               jupyter-core <!nodoc>,
               node-css-loader,
               node-mini-css-extract-plugin,
               pybuild-plugin-pyproject,
               python-pydata-sphinx-theme-doc <!nodoc>,
               python3-all,
               python3-bs4 <!nocheck>,
               python3-docutils <!nocheck>,
               python3-folium <!nodoc>,
               python3-ipywidgets <!nodoc>,
               python3-matplotlib <!nodoc>,
               python3-myst-nb <!nocheck>,
               python3-myst-nb <!nodoc>,
               python3-nbclient <!nodoc>,
               python3-numpy <!nodoc>,
               python3-numpydoc <!nodoc>,
               python3-pandas <!nodoc>,
               python3-plotly <!nodoc>,
               python3-pydata-sphinx-theme (>= 0.15.4),
               python3-pytest <!nocheck>,
               python3-pytest-regressions <!nocheck>,
               python3-rpds-py <!nocheck>,
               python3-sphinx (>= 6.1) <!nocheck>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinx-examples <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinx-tabs <!nodoc>,
               python3-sphinx-thebe <!nocheck>,
               python3-sphinx-thebe <!nodoc>,
               python3-sphinxcontrib.bibtex <!nodoc>,
               python3-sphinxext-opengraph <!nodoc>,
               rsass,
               webpack,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://jupyterbook.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-book-theme.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-book-theme

Package: python3-sphinx-book-theme
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: sphinx-book-theme-doc
Description: clean book theme for scientific explanations and documentation with Sphinx
 This is a lightweight Sphinx theme designed to mimic the look-and-feel of an
 interactive book. It has the following primary features:
 .
  * Bootstrap 4 for visual elements and functionality
  * Flexible content layout that is inspired by beautiful online books, such as
    the Edward Tufte CSS guide
  * Visual classes designed for Jupyter Notebooks. Cell inputs, outputs, and
    interactive functionality are all supported
  * Launch buttons for online interactivity. For pages that are built with
    computational material, connect your site to an online BinderHub for
  * interactive content

Package: sphinx-book-theme-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: node-mathjax-full (>= 3.2.2+~cs4.2.1-4~),
         python3-sphinx-book-theme (= ${binary:Version}),
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: clean book theme for scientific explanations — documentation
 This is a lightweight Sphinx theme designed to mimic the look-and-feel of an
 interactive book. It has the following primary features:
 .
  * Bootstrap 4 for visual elements and functionality
  * Flexible content layout that is inspired by beautiful online books, such as
    the Edward Tufte CSS guide
  * Visual classes designed for Jupyter Notebooks. Cell inputs, outputs, and
    interactive functionality are all supported
  * Launch buttons for online interactivity. For pages that are built with
    computational material, connect your site to an online BinderHub for
  * interactive content
 .
  This package contains the HTML documentation for sphinx-book-theme

=== debian/tests/control ===
Tests: unittests
Depends: python3-all,
         python3-myst-nb,
         python3-pytest,
         python3-pytest-regressions,
         python3-sphinx-book-theme,
         python3-sphinx-thebe

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/executablebooks/sphinx-book-theme/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
